import { AnimatePresence } from 'framer-motion';
import Navbar from './Navbar';
import Footer from './Footer';

export default function Layout({ children }) {
  return (
    <div className="flex flex-col min-h-screen">
      <Navbar />
      <AnimatePresence mode="wait">
        <main className="flex-grow pt-16">{children}</main>
      </AnimatePresence>
      <Footer />
    </div>
  );
}
